public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/vte-common/
Date: Sun, 19 Mar 2023 03:58:16 +0000 (UTC)	[thread overview]
Message-ID: <1679198284.fdebe40db8bf0e82f838821de5a4b3a50f22040c.mattst88@gentoo> (raw)

commit:     fdebe40db8bf0e82f838821de5a4b3a50f22040c
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sat Mar 18 18:01:55 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 03:58:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdebe40d

gui-libs/vte-common: Version bump to 0.72.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30130
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gui-libs/vte-common/Manifest                 |  1 +
 gui-libs/vte-common/vte-common-0.72.0.ebuild | 78 ++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/gui-libs/vte-common/Manifest b/gui-libs/vte-common/Manifest
index 9e09c18f8f20..d8c15541814d 100644
--- a/gui-libs/vte-common/Manifest
+++ b/gui-libs/vte-common/Manifest
@@ -1,2 +1,3 @@
 DIST vte-0.70.2.tar.bz2 502395 BLAKE2B ae127d8262c7038b3a2cda9a9622e9a075dfc1e06a7710810a4bb894a6646155790776553f663677cb86c3479e6d3faf92c38b5b97dd6970df37cee92dd963fa SHA512 1e113da0591830c057358dd78cfe2f814dd0bfabd037973369266823a9a4936a200b5b23faab3757ced4d08aa96a76d6b1120419815a181598493e35d2ea58d0
 DIST vte-0.70.3.tar.bz2 502706 BLAKE2B 1fee46dee38618137781d62b27730893b0c6969cf3badfa157628621a608983be48e35ef4d8e58099c93b8be91434b257d120cab2e7a943cfecaf37ff7b3fd5d SHA512 5520bc58b0ad2f803da27985e30862de987ecc31c0137895c6945c53f99a7c16ee0281646b9e04362de934364ee7beaa1acf47dad9baf5a16ab9898d5f746d2d
+DIST vte-0.72.0.tar.bz2 503848 BLAKE2B 4c87f5648b17a269072a7fbe520e9cf086325d8740050b9868fd6e0d812ed78e240a3d3dc882729435bbae30fbbbfe35c0e92f36cd62e6aa8e581350b81a3f90 SHA512 198ea27d0991d825cc993746422e89b0e7b2b225e9cbdb072477dcf5b5866e79a27920233e8da63a412c5f270769e6d333470f5368d0b09b39e15d53ddbe6dd6

diff --git a/gui-libs/vte-common/vte-common-0.72.0.ebuild b/gui-libs/vte-common/vte-common-0.72.0.ebuild
new file mode 100644
index 000000000000..b2ef085b763d
--- /dev/null
+++ b/gui-libs/vte-common/vte-common-0.72.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit gnome.org meson python-any-r1
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/VTE"
+
+# Once SIXEL support ships (0.66 or later), might need xterm license (but code might be considered upgraded to LGPL-3+)
+LICENSE="LGPL-3+ GPL-3+"
+SLOT="2.91" # vte_api_version in meson.build
+IUSE="systemd"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# Upstream is hostile and refuses to upload tarballs.
+SRC_URI="https://gitlab.gnome.org/GNOME/vte/-/archive/${PV}/vte-${PV}.tar.bz2"
+
+DEPEND="
+	|| ( >=gui-libs/gtk-4.0.1:4 >=x11-libs/gtk+-3.24.22:3 )
+	>=dev-libs/fribidi-1.0.0
+	>=dev-libs/glib-2.60:2
+	>=x11-libs/pango-1.22.0
+	>=dev-libs/libpcre2-10.21
+	systemd? ( >=sys-apps/systemd-220:= )
+	sys-libs/zlib
+	x11-libs/pango
+"
+RDEPEND="
+	!<x11-libs/vte-0.70.0:2.91
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	dev-libs/libxml2:2
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/vte-${PV}"
+
+src_prepare() {
+	default
+	use elibc_musl && eapply "${FILESDIR}"/${PN}-0.70.0-musl-W_EXITCODE.patch
+}
+
+src_configure() {
+	local emesonargs=(
+		-Da11y=false
+		-Ddebugg=false
+		-Ddocs=false
+		-Dgir=false
+		-Dfribidi=true # pulled in by pango anyhow
+		-Dglade=false
+		-Dgnutls=false
+		-Dgtk3=false
+		-Dgtk4=false
+		-Dicu=false
+		$(meson_use systemd _systemd)
+		-Dvapi=false
+	)
+	meson_src_configure
+}
+
+src_install() {
+	exeinto /usr/libexec/
+	doexe "${BUILD_DIR}"/src/vte-urlencode-cwd
+	insinto /etc/profile.d/
+	newins "${BUILD_DIR}"/src/vte.sh vte-${SLOT}.sh
+	newins "${BUILD_DIR}"/src/vte.csh vte-${SLOT}.csh
+	if  use systemd; then
+		insinto /usr/lib/systemd/user/vte-spawn-.scode.d/
+		newins "${S}"/src/vte-spawn-.scope.conf defaults.conf
+	fi
+	einstalldocs
+}


             reply	other threads:[~2023-03-19  3:58 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-19  3:58 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-13 17:06 [gentoo-commits] repo/gentoo:master commit in: gui-libs/vte-common/ Sam James
2024-12-21 17:16 Arthur Zamarin
2024-12-20 20:37 Arthur Zamarin
2024-08-09 19:27 Patrick McLean
2024-08-09 10:12 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-03-07 23:51 Sam James
2024-02-11 14:21 Mart Raudsepp
2024-02-11  8:09 Arthur Zamarin
2024-02-11  8:09 Arthur Zamarin
2024-02-11  6:01 Sam James
2024-02-11  3:39 Sam James
2023-12-19 18:36 Pacho Ramos
2023-11-29  4:23 Sam James
2023-10-26 16:12 Pacho Ramos
2023-10-26 16:12 Pacho Ramos
2023-09-22 17:18 Matt Turner
2023-08-18 10:52 Sam James
2023-08-16 22:32 Matt Turner
2023-07-16 20:31 Matt Turner
2023-07-15 11:43 Arthur Zamarin
2023-07-02 11:18 Sam James
2023-07-02 11:18 Sam James
2023-07-02  8:33 Sam James
2023-07-02  8:33 Sam James
2023-07-02  8:33 Sam James
2023-07-02  8:04 Sam James
2023-06-05 16:46 Matt Turner
2023-05-03  3:53 Sam James
2023-05-02 19:37 Arthur Zamarin
2023-05-02 19:16 Sam James
2023-05-02 19:09 Arthur Zamarin
2023-05-02 17:51 Arthur Zamarin
2023-05-02 17:42 Arthur Zamarin
2023-05-02 17:27 Arthur Zamarin
2023-04-17  0:42 Matt Turner
2023-04-10 12:39 Matt Turner
2023-04-01 19:03 Arthur Zamarin
2023-04-01 19:01 Arthur Zamarin
2023-03-31 12:04 Arthur Zamarin
2023-03-30 17:44 Arthur Zamarin
2023-02-11 20:48 Matt Turner
2023-01-27 20:45 Matt Turner
2022-12-22 11:13 Arthur Zamarin
2022-12-17  6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-16 20:37 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2022-12-02 21:53 Matt Turner
2022-11-21 17:07 Joonas Niilola
2022-11-14  6:53 Arthur Zamarin
2022-11-12  6:01 WANG Xuerui
2022-11-10  0:33 Yixun Lan
2022-11-10  0:19 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-07 23:18 Sam James
2022-11-07  7:26 Sam James
2022-10-30 23:21 Matt Turner
2022-10-25 15:25 Matt Turner
2022-09-26 16:00 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1679198284.fdebe40db8bf0e82f838821de5a4b3a50f22040c.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox